# Jmol Dokumentation

## Einführung

Jmol ist eine Java basierte Applikation und ein Applet zum Anzeigen von chemischen Informationen und Molekülen in 3D.

Dieses Dokument beschreibt die Jmol Applikation

## Optionen für die Kommandozeile

Die folgenden Abschnitte enthalten Informationen über die Kommandozeilen-Optionen von Jmol. Der reguläre Syntax folgt dem Schema:

        jmol
        OPTIONEN
        DATEI

Jmol kann ohne Optionen oder nur mit einem Dateinamen als Argument gestartet werden:

        jmol
        DATEI

### -h,--help

#### Syntax

`-h`, `--help`

  Diese Optionen gibt einen kurzen Überblick über die möglichen Optionen und deren Verwendung.

### -s,--script

#### Syntax

`-s`, `--script` RASMOL.script

  Diese Option startet Jmol mit einem Rasmol-Skript. Der Syntax solcher Skripte wird unter erklärt.

### -g,--geometry

#### Syntax

`-g`, `--geometry` BREITExHÖHE

  Mit dieser Option wird die Geometrie bzw. die Größe des Jmol-Fenster festgelegt. Standardmäßig startet Jmol in einem Fenster mit 500x500 Pixel.

### -Duser.language

#### Syntax

`-Duser.language=de|en|es|fr|nl|pl`

  Diese Option legt die Sprache fest, in der das GUI gestartet werden soll. Falls Jmol keine Information über die zu verwendende Sprache findet, startet das GUI in englischer Sprache.

  Zum aktuellen Zeitpunkt werden die folgenden Sprachen unterstützt:

  - Englisch (en)

  - Deutsch (de)

  - Spanisch (es)

  - Französisch (fr)

  - Niederländisch (nl)

  - Polnisch (pl)

  Alternativ cann die Umgebungsvariable `LANG` auf die zu verwendende Sprache gesetzt werden. Das ist unter den meisten UNIX Systemen wie Linux allgemein üblich, funktioniert jedoch nicht unter Solaris. Für dieses Betriebssystem muss die oben beschriebene Option benutzt werden.

### -Ddisplay.speed

#### Syntax

`-Ddisplay.speed=fps|ms`

  Mit dieser Option wird festgelegt, ob die Geschwindigkeit der Anzeige in Frames pro Sekunde oder Millisekunden pro Frame angezeigt werden soll. Standardmäßig erfolgt die Anzeige in Millisekunden pro Frame.

### -Dplugin.dir

#### Syntax

`-Dplugin.dir=/path/to/plugins`

  Mit dieser Option wird der Pfad zu den Plugins angegeben. Dabei ist zu beachten, dass diese Option keine Auswirkungen auf den Benutzer-Pfad zu Plugins `~/.jmol/plugins` hat. Jmol dursucht diesen Pfad standardmäßig nach installierten Plugins. Das heißt auch, dass der Benutzer-Pfad zu Plugins nicht mit dieser Option angegeben werden muss.

### -Xmx

#### Syntax

`-XmxSIZE`

  Mit dieser Option kann die maximale Heap-Größe, die die Java-VM unter Java 1.4 Installationen addressieren kann, verändert werden. Standardmäßig beträgt die Größe 64 MB. Für größere Dateien ist das möglicherweise nicht ausreichend. Benutzen Sie diese Option, um den Heap-Größe zu verändern: z.B. wird mit `-Xmx512m` die Heap-Größe auf 512 MB erhöht. Bei älteren Java-Installationen unterscheidet sich der Syntax dieser Option (siehe `java --help`).

## Menü-Einträge

### Das Dokument-Menü

#### Öffnen

Öffnet eine Datei in Jmol. Jmol ist in der Lage, eine Vielzahl an Dateitypen zu lesen:

- ABINIT

- ACES II

- ADF - Amsterdam Density Functional

- CML v2.0

- GAMESS

- Gaussian 92/94/98

- Ghemical MM

- Jaguar

- MDL molfile

- PDB

- CIF/mmCIF

- XYZ (single und multiple Frame)

#### Zuletzt verwendete Dateien...

Zeigt einen Dialog mit einer Liste aller kürzlich in Jmol geöffneten Dateien. Um eine dieser Dateien erneut zu öffnen, wählt man die entsprechende Datei aus und klickt danach auf Schaltfläche: Öffnen.

#### Script...

Öffnet ein Fenster, in dem Jmol/RasMol/Chime Skriptkommandos ausgeführt werden können. enthält Informationen zu RasMol/Chime Skripten.

#### Exportieren

##### Exportieren -> Exportiere Bild...

Jmol ist in der Lage, 24Bit-Farbbilder der folgenden Dateitypen zu erzeugen:

- JPG

- PNG

- PPM

##### Exportieren -> In Pov-Ray darstellen...

Für hochwertige Bilder nutzt Jmol das Poy-Ray ray-tracer-Interface. Um es zu benutzen, muss das Kommandozeilen-orientierte Tool `povray` installiert sein. Es kann unter heruntergeladen werden.

#### Drucken...

PostScript-Dateien können direkt an den Printer oder in eine Datei weitergeleitet werden.

#### Beenden

Beendet die Sitzung mit Jmol.

### Das Bearbeiten-Menü

#### Alles auswählen

Markiert alle Atome in einem Fenster und wählt sie aus.

#### Deselect All

Deselects all atoms in the view screen.

#### Einstellungen...

Dieser Menüpunkt öffnet ein Dialog-Fenster, in dem Voreinstellungen und Nutzerspezifische Einstellungen geändert werden können. Diese Einstellungen werden abgespeichert und bleiben auch nach dem Beenden von Jmol erhalten.

### Das Ansicht-Menü

In diesem Menü können Einstellungen in der Ansicht geändert werden.

In general, display styles are applied to the currently selected set of atoms and bonds.

By default, all atoms and bonds in a molecule are selected.

You may select individual atoms/bonds by using the selection cursor or by using script commands.

### Das Ansicht-Menü

#### Frontal/Oben/Unten/Rechts/Links

Das sollte selbsterklärend sein und ist besonders bei Kristallstrukturen hilfreich.

### Das Hilfe-Menü

#### Über Jmol

Öffnet ein Fenster mit Copyright-Hinweisen zur Software.

#### Handbuch

Öffnet ein Fenster in dem diese Dokumentation gezeigt wird.

#### Neuigkeiten

Zeigt die Veränderungen von Version zu Version.

#### Jmol Konsole

Zeigt den erzeugten Output an System.out und System.err an.

## RasMol/Chime Skripte

### New Scripting Engine

The scripting engine has been completely rewritten for Jmol Release 6. As of this writing it should be considered *alpha test* code. Please supply feedback in case of bugs and/or unexpected behavior and/or with feature requests. You can do this through the jmol home page

Jmol supports the RasMol scripting language defined by RasMol. Information about RasMol can be found at . The current URL for full RasMol documentation is: .

The Chime web browser plug-in was based upon the RasMol source code. Various extensions were added, including additional scripting commands. Information about Chime can be found at The current URL for extended chime scripting commands is: .

Jmol currently supports many of the RasMol/Chime scripting commands. Our goal is to eventually provide full script support. This will provide a migration path for those who wish to move to an open source solution that supports a larger number of file formats on a wider variety of hardware platforms.

Please give us feedback on what features you use and that are currently no implemented. This will help us prioritize future development.

### RasMol/Chime commands

This documentation is autogenerated from the content on this website: .

#### animation or anim

Sets selected animation parameters or turns animation on or off. Note that there are four distinct animation types that can be employed using Jmol: (1) files may contain multiple stuctures that are "played" sequencially, (2) Gaussian output files may contain vibrational modes that can be animated, (3) scripts may be run through with delays and loops, and (4) the model may spin or move in a predefined way. The "animation" command only refers to method (1).

##### Syntax

`animation ON/OFF`

  Turns on or off animation.

`animation direction +1`

  Sets the animation direction to be first frame to last frame.

`animation direction -1`

  Sets the animation direction to be from last frame to first frame.

`animation fps [frames-per-second]`

  Sets the animation frames per second.

`animation frame [frame-option]`

  Specifies which frame to go to.

`animation mode loop`

  Sets the animation mode to restart the sequence automatically when the last frame has played.

`animation mode loop [time-delay1] [time-delay2]`

  Allows for a time delay at the start and end of the loop.

`animation mode once`

  Sets the animation to play once through and then stop (the default mode).

`animation mode palindrome`

  Sets the animation to play forward and back endlessly.

`animation mode palindrome [time-delay1] [time-delay2]`

  Allows for a time delay at the start and end of the palindrome.

##### Definitions

`[frames-per-second]`

  is the animation rate -- (integer)

`[frame-option]`

  is a frame option: -- (integer), NEXT, NEXTWRAP, NONE, PLAY, PREV, PREVWRAP, REVPLAY, or REWIND

`[time-delay1]`

  is the time in seconds to pause on the first frame -- (integer|decimal)[>=0]

`[time-delay2]`

  is the time in seconds to pause on the last frame -- (integer|decimal)[>=0]

#### backbone

Shows the backbone of a protein or nucleic acid macromolecule by connecting the alpha carbons. Backbone radius can be specified in angstroms using a decimal number (1.0, 2.0, etc.)

##### Syntax

`backbone ON/OFF{default: on}`

`backbone [backbone-radius]`

##### Definitions

`[backbone-radius]`

  is the radius of the backbone -- (decimal)[<=40]

#### background

Sets color of the background. See Color Specification.

##### Syntax

`background HOVER [RGB-color]`

  Sets the background for the pop-up label box that appears when the mouse "hovers" over an atom.

`background LABELS [RGB-color]`

  Sets the background of the atom labels that appear with the "label" command

`background [RGB-color]`

##### Definitions

`[RGB-color]`

  is a name of a color or a color triple, eg [255,0,255] -- (color)

#### cartoon or cartoons

"Cartoons" are the classic shapes the are used to depict alpha helices and beta-pleated sheets.

##### Syntax

`cartoon ON/OFF{default: on}`

`cartoon [cartoon-radius]`

##### Definitions

`[cartoon-radius]`

  is the radius of the cartoon elements -- (decimal)[<=40]

#### center or centre

Sets the center of rotation to be the center of the set of atoms defined by the expression. This is calculated as the mean value of the coordinates of the selected atoms along each of the respective axes. If no atoms are selected then the center is set to the center of the bounding box (the default).

##### Syntax

`center [atom-expression]`

##### Definitions

`[atom-expression]`

  is any expression that evaluates to a set of atoms -- (atom-expression)

#### color or colour

Colors the object with the specified color. If no object is given then atom is assumed, and the currently selected atoms are colored.

##### Syntax

`color [Rasmol-structure] [color-scheme]`

  Sets the color of the specified Rasmol object based on a color scheme.

  ##### color [Rasmol-structure] [color-scheme]

      ;    color cartoons structure;    color rockets chain

`color [atom-associated-object] [color-scheme]`

  Sets the color of atom-related objects based on a previously selected atom set to a specific color, a color scheme, or back to its default color (NONE).

  ##### color [atom-associated-object] [color-scheme]

      ;    select [HIS]92.D;    color atoms green;    select carbon;    color atoms white;    color bonds red;    select carbon;    color bonds white

`color [atom-associated-object] [temperature-mode]`

  Color atoms based on a crystallographic B-factor or "temperature" scale. Colors range from blue (least positional variability within the crystal) through white to red (most positional variability). Using a fixed scale (parameter "fixedTemperature") allows direct comparison between two structures. Using a relative scale (parameter "temperture" or "relativeTemperature") sets the blue-red range to match the range of varibility in the model itself.

`color [color-scheme]`

  Sets the selected atom set to a color based on a particular color scheme.

`color [object-with-text] [RGB-color]`

  Sets the color of various objects.

  ##### color [object-with-text] [RGB-color]

      ;    color labels white;    color axes green;

`color atoms CPK`

  Sets selected atom colors to the default "cpk" color scheme (either Jmol or Rasmol).

`color dots [RGB-color]`

  Sets the color of the molecular surface dots.

`color hbonds TYPE`

  Colors hydrogen bonds specifically in proteins based on how many residues one end is from the other. Note that to get this effect, one must first execute "hbonds ON" and then issue "color hbonds TYPE". The colors assigned are based on the number of basepairs between the interacting H atoms. This TENDS to indicate secondary structure, but is not perfect.The correlation between color and offset are as follows:ColorOffsetgreen-4cyan-3white+2magenta+3 (turns)red+4 (alpha-helix)orange+5yellowother (e.g. beta-pleated sheet)

##### Definitions

`[atom-associated-object]`

  is an object related to an atom -- atom, bond, label, hbonds, monitor, ssbonds, vectors

`[color-scheme]`

  is to color based on a scheme -- (color), amino, chain, formalCharge, partialCharge, monomer, shapely, structure, NONE

`[RGB-color]`

  is a name of a color or a color triple, eg [255,0,255] -- (color)

#### cpk or spacefill

Renders selected atoms as shaded spheres. A boolean value renders the spheres with the vanderWaals radius. A decimal value specifies the sphere radius in Angstroms. An integer followed by "%" specifies sphere radius as a percentage of the Van der Waals radius.

##### Syntax

`cpk IONIC`

  Generates a sphere for each atom according to an approximation of its ionic radius.

`cpk ON/OFF{default: on}`

`cpk TEMPERATURE`

  Generates a sphere for eah atom according to its crystallographic B-factor

`cpk [radius-Rasmol]`

`cpk [radius-in-angstroms]`

`cpk [radius-percent-vdw]`

##### Definitions

`[radius-in-angstroms]`

  is a (decimal)[<=3]

`[radius-percent-vdw]`

  is as a percent of the Van der Waals radius -- (integer)[-100 to -1]

`[radius-Rasmol]`

  is in 1/250ths of an Angstrom (deprecated) -- (integer)[1 to 749]

#### define

Defines the specified variable to the the atoms selected by the expression/

##### Syntax

`define [variable-name] [atom-expression]`

##### Definitions

`[variable-name]`

  is a (string)

`[atom-expression]`

  is any expression that evaluates to a set of atoms -- (atom-expression)

#### delay

Causes the screen to refresh and the script to stop executing for the specified number of seconds.

##### Syntax

`delay [time-delay]`

`delay on`

##### Definitions

`[time-delay]`

  is in seconds -- (integer|decimal)[>=0]

#### depth

Slab and Depth together control the percentage of the molecule to be displayed based on clipping planes. "slab on" turns slab/depth on. "depth 50" shows the front 50% of the molecule. "depth 25" show the front 25% of the molecule.

##### Syntax

`depth [slab-percent]`

##### Definitions

`[slab-percent]`

  is an (integer)[0 to 100]

#### dots

Turns Van der Waals radii dotted surface on/off.

##### Syntax

`dots ON/OFF`

#### echo

Echos a string of text to the window at the location predefined by the "set echo" command as well as to the Java Console. "echo" by itself deletes the text at the selected position (top, middle, or bottom).

##### Syntax

`echo (string)`

#### exit

Stops execution of the script current script. In the case of a script that is running as a "child" (for example, from a "source" command, execution continues with the parent.

#### font

Sets font size and information in labels and other text-bearing elements.

##### Syntax

`font [object-with-text] [font size] [font face]{default: SansSerif} [font style]{default: Plain}`

##### Definitions

`[font size]`

  is approximately the same as Rasmol -- (integer)[6 to 63]

#### frame or model

Sets the current animation frame.

##### Syntax

`frame [frame-option]`

##### Definitions

`[frame-option]`

  is a frame option: -- (integer), NEXT, NEXTWRAP, NONE, PLAY, PREV, PREVWRAP, REVPLAY, or REWIND

#### hbonds

Hydrogen bonds can be turned on or off, colored, and given custom width in angstroms.

##### Syntax

`hbonds`

`hbonds ON/OFF`

`hbonds [width-by-Rasmol]`

`hbonds [width-in-angstroms]`

##### Definitions

`[width-in-angstroms]`

  is a (decimal)[<2]

`[width-by-Rasmol]`

  is in 1/250ths of an Angstrom (deprecated) -- (integer)[<500]

#### hover

Turns on and off pop-up labels that appear when the user "hovers" the mouse over the atom. If a string is given, it is used as the label. Special characters include: %a (atom name), %b (protein B-Factor), %c %s (protein chain and residue), %e (element symbol), %i (sequential number), %m (single letter amino acid code), %n (3-letter residue name), %r (PDB residue number), %U (same as %e %i). For a full list, see the example HTML page.

##### Syntax

`hover ON/OFF/string`

#### label or labels

Turns on and off atom labels based on a previous selection. If a string is given, it is used as the label. Special characters include: %a (atom name), %b (protein B-Factor), %c %s (protein chain and residue), %e (element symbol), %i (sequential number), %m (single letter amino acid code), %n (3-letter residue name), %r (PDB residue number), %U (same as %e %i). For a full list, see the example HTML page.

##### Syntax

`label ON/OFF/string`

#### load

Loads the specified file or URL. Jmol automatically determines file type based upon the contents of the file. Therefore, the format parameter is ignored. It is allowed for backward compatibility with RasMol/Chime.

##### Syntax

`load [file name]`

`load [param-ignored] [file name]`

##### Definitions

`[file name]`

  is a model filename or URL -- (string)

`[param-ignored]`

  is for Rasmol/chime compatibility; ignored -- (string)

#### loop

Causes the script to restart at the beginning, with an optional time delay.

##### Syntax

`loop [time-delay]`

`loop on`

##### Definitions

`[time-delay]`

  is in seconds -- (integer|decimal)[>=0]

#### mesh

A mesh is similar to a strand, but is more the quality of a loosely woven fabric.

##### Syntax

`mesh ON/OFF{default: on}`

`mesh [mesh-radius]`

##### Definitions

`[mesh-radius]`

  is the overall radius of the mesh -- (decimal)[<=40]

#### monitor or measure

Renders a measurement between the specified atoms.

##### Syntax

`monitor ON/OFF{default: on}`

`monitor [atom-number] [atom-number]`

  Two atoms specify a distance measurement.

`monitor [atom-number] [atom-number] [atom-number]`

  Three atoms specify an angle measurement.

`monitor [atom-number] [atom-number] [atom-number] [atom-number]`

  Four atoms specify a dihedral angle measurement.

##### Definitions

`[atom-number]`

  is the sequential number assigned to the atom -- (integer)

#### moveto

The moveto command rotates the molecule to a predefined orientation. The first parameter specifies the number of seconds during which the molecule should rotate smoothly from the current orientation to the new orientation. A 0 for this first parameter specifies an instantaneous reorientation. The next three parameters (x, y, and z) define the axis relative to the default orientation about which the molecule should be rotated. The fifth parameter defines the counterclockwise (right-hand) rotation in degrees about this axis. "moveto 0 0 0 0 0" rotates the model to the default orientation (equivalent to "reset"). If the fifth parameter is 0 but any one of x, y, or z is nonzero, then no reorientation occurs (because the axis has been specified, but the rotation is 0 degrees). In conjunction with "show orientation" this command allows reading and restoring specific user-specified orientations.

##### Syntax

`moveto [time-in-seconds] [coord-value] [coord-value] [coord-value] [cw-rotation-deg]`

##### Definitions

`[time-in-seconds]`

  is in (seconds)

`[coord-value]`

  is a (decimal)

`[cw-rotation-deg]`

  is a (decimal)

#### move

The move command provides powerful animation capabilities. It allows you to specify rotations, zooming, and translations to be performed in a specified period of time. xRot, yRot, and zRot are rotations about the cartesian axes in degrees. Zoom specifies a zoom factor (there is a good chance this is not currently implemented properly) xTrans, yTrans, and zTrans are translations in the range -100 to 100. If you do not know what slab is, just put in a zero. see the slab command for more information.

##### Syntax

`move [x-rotation] [y-rotation] [z-rotation] [zoom-factor] [x-translation] [y-translation] [z-translation] [slab-cutoff] [seconds-total] [move-frames-per-second]{default: 30} [maximum-acceleration]{default: 5}`

##### Definitions

`[x-rotation]`

  is the degrees of rotation about x -- (integer)

`[y-rotation]`

  is the degrees of rotation about y -- (integer)

`[z-rotation]`

  is the degrees of rotation about z -- (integer)

`[zoom-factor]`

  is a scaling factor -- (integer)

`[x-translation]`

  is the distance offset along x -- (integer)

`[y-translation]`

  is the distance offset along y -- (integer)

`[z-translation]`

  is the distance offset along z -- (integer)

`[slab-cutoff]`

  is the cutoff for the slab display -- (integer)

`[seconds-total]`

  is the amount of time to wait -- (decimal)

`[move-frames-per-second]`

  is the frames per second to move -- (integer)

`[maximum-acceleration]`

  is the maximum acceleration -- (integer)

#### quit

In the current release of Jmol, quit is synonymous with exit. This is inconsistent with RasMol, where quit means to exit the program.

#### refresh

Forces a screen repaint during script execution. (Unnecessary, and thus deprecated.)

#### reset

Resets molecule to its original position: zoom 100; center; translate x 0; translate y 0;

#### restrict

Selects the atoms identified by expression and hides all atoms and bonds which are outside the selection set.

##### Syntax

`restrict [atom-expression]`

##### Definitions

`[atom-expression]`

  is any expression that evaluates to a set of atoms -- (atom-expression)

#### ribbon or ribbons

Ribbons offer a representation the protein backbone or nucleic acid helix using a flat band that smoothly traces the midpoints of adjacent alpha carbon atoms (or phosphorus atoms in nucleotide chains). The ribbon is perpendicular to the peptide plane.

##### Syntax

`ribbon ON/OFF{default: on}`

`ribbon [ribbon-radius]`

  Normally, ribbons vary in width according to the amino acid atom positions. This command sets the width of the ribbon to be a connstant value (a decimal, in Angstroms).

##### Definitions

`[ribbon-radius]`

  is half of the overall width of the ribbon -- (decimal)[<=40]

#### rocket or rockets

Creates a "rocket" cartoon.

##### Syntax

`rocket ON/OFF{default: on}`

`rocket [rocket-radius]`

##### Definitions

`[rocket-radius]`

  is half of the overall width of the rocket barrel -- (decimal)[<=40]

#### rotate

Rotates the model the specified angle about the specified axis. Integer values specify degrees.

##### Syntax

`rotate X/Y/Z [number-of-degrees]`

##### Definitions

`[number-of-degrees]`

  is the number of degrees -- (integer)

#### script or source

Loads and executes the specified script file/url. The hash/pound/sharp character (#) character marks a comment to the end of the line. The semicolon character (;) separates multiple statements on the same line. A script file may load another script file, up to 10 deep.

##### Syntax

`script [file-name]`

##### Definitions

`[file-name]`

  is any valid filename or URL -- (string)

#### select

Selects the atoms identified by the expression. If no expression is given then all atoms are selected.

##### Syntax

`select [atom-expression]`

##### Definitions

`[atom-expression]`

  is any expression that evaluates to a set of atoms -- (atom-expression)

#### set (bond styles)

This group of commands sets the appearance of various optional bond effects for the model.

##### Syntax

`set bondmode AND`

  When script commands affect a set of atoms, BOTH atoms must be in the set for the bonds between them to also be affected.

`set bondmode OR`

  When script commands affect a set of atoms, EITHER atom may be in the set for the bonds also to be affected.

`set bonds ON/OFF`

  In some file formats (.mol files, for example) the connection data may indicate the bond type--single, double, triple, or quadruple. The bonds flag determines whether or not multiple bonds are displayed. Set this flag off if you want all bonds to appear as single bonds.

`set hbonds`

  Hydrogen bonds between protein amino acid residues or nucleic acid base pairs are displayed as lines. These lines can be displayed whether or not the H atoms are present in the file, and can be drawn either between the two non-hydrogen atoms involved in the bond (O or N, typically, the default) or, alternatively, between the two backbone alpha-carbon atoms, depending upon the desired effect.

`set hbonds BACKBONE`

`set hbonds SIDECHAIN`

`set ssbonds`

  Sulfur-sulfur bonds in cysteine bridges of proteins are displayed as lines. These lines can either be between the two sidechain sulfur atoms (the default) or between the two backbone alpha-carbon atoms, depending upon the desired effect.

`set ssbonds BACKBONE`

`set ssbonds SIDECHAIN`

#### set (default color scheme)

Sets the default color scheme to be the traditional Rasmol scheme or the newer, more subtle, Jmol scheme. This command does not actually change the display unless the default color scheme ("CPK") is currently displayed.

##### Syntax

`set defaultColors JMOL`

`set defaultColors RASMOL`

#### set (highlights)

This command group allows for annotation and highlighting of atoms in terms of labels and "halos."

##### Syntax

`set debugscript ON/OFF`

  Turns on and off debugging (going to a JavaScript message callback).

`set display NORMAL`

  Turns off selection halos

`set display SELECTED`

  Sets the option ON to dispay a "halo" around atoms when they are or become selected as a way of highlighting specific atoms.

`set echo OFF`

  Turns off all three echo texts.

`set echo [vertical-position] [horizontal-position]{default: center for top and middle; left for bottom}`

  Selects which of the three possible echo positions (top, middle, or bottom) will be written to by the next "echo" command and, optionally, sets the horizontal position of that text to left, center, or right.

`set fontsize [font size]{default: 8}`

  Sets the font size (for what?)

`set frank ON/OFF`

  Determines whether or not "Jmol" is indicated in the bottom right corner of the window.

`set labeloffset [x-offset] [y-offset]`

  Sets the label offset relative to the atom being labeled.

##### Definitions

`[font size]`

  is approximately the same as Rasmol -- (integer)[6 to 63]

`[x-offset]`

  is the x-offset -- (integer)

`[y-offset]`

  is the y-offset -- (integer)

`[vertical-position]`

  is one of the following: -- "top", "middle", "bottom"

`[horizontal-position]`

  is one of the following: -- "left", "center", "right"

#### set (lighting and perspective)

This commands in this group determine the overall lighting effects, size, and rotation for the model.

##### Syntax

`set ambient [ambient-percent]`

  Sets the amount of "ambient" light filling the shadows created by the apparent light source. An ambient value of 0 creates an effect of a spotlight on a stage; a value of 100 removes the shadow entirely, creating a flat, nonrealistic effect.

`set diffuse [diffuse-percent]`

  Sets the amount of "diffuse" light apparently emanating from the spotlight, but not hitting and reflecting off the model directly. Setting the diffuse value to 0 turns this effect off; giving the effect of the model in a black-walled room where no light reflection is possible, effectively turning off all shadows.

`set perspectivedepth ON/OFF{default: on}`

  Sets perspective depth on or off. OFF is required for proper function of absolute scale (set scale3d x).

`set scale3d [viewing-distance]`

  Sets the absolute scale of the model by setting the viewing distance from the user to the model in arbitrary units. The actual scale will depend upon the sizes of both the applet window and the screen.

`set specpower [specular-power]`

  Sets the density of dots in the specular reflection.

`set specular [specular-percent]`

  Sets the size of the apparent reflection from a light source. set specular 0 turns off this effect.

`set spin`

  Sets the spin axis and rate. Note that the axes referred to are the fixed axes of the window, not the cartesian axes of the molecular coordinates. Thus, regardless of how the molecule has been rotated by the user or using the move command, x is always the horizontal axis, y is always the vertical axis, and z is always the axis directed toward the user. The spin rate, in degrees per second, determines how fast the model rotates; the number of frames per second determines how smoothly the model rotates. No actual spinning occurs until the spin ON command is issued or the user turns spinning on using the mouse menu.

`set spin FPS [frames-per-second]`

`set spin X/Y/Z [degrees-per-second]`

##### Definitions

`[specular-percent]`

  is an (integer)[0 to 100]

`[specular-power]`

  is an (integer)

`[ambient-percent]`

  is an (integer)[0 to 100]

`[diffuse-percent]`

  is an (integer)[0 to 100]

`[viewing-distance]`

  is the apparent distance from the model to the user in arbitrary units -- (integer), (decimal)

`[degrees-per-second]`

  is an (integer)

`[frames-per-second]`

  is an (integer)

#### set (picking)

The set picking command determines the response to clicking of atoms by the user.

##### Syntax

`set picking ANGLE`

  Turns picking on and returns atom identities and angle involving three atoms.

`set picking ATOM`

  When the user clicks an atom, the selection of that atom is toggled on or off.

`set picking CENTER`

  When the user clicks an atom, that atom is set to be the center of rotation.

`set picking CHAIN`

  When the user clicks an atom, the selection of the chain associated with that atom is toggled on or off.

`set picking DISTANCE`

  Turns picking on and returns atom identities and distance between two atoms.

`set picking GROUP`

  When the user clicks an atom, the selection of the group associated with that atom is toggled on or off.

`set picking LABEL`

  When the user clicks an atom, the label of that atom is toggled on or off.

`set picking ON/OFF`

  Turns picking on and off. When turned ON, picking information is sent both to the status line and to the pickcallback function, if defined. Additional information may be sent to the messagecallback function.

`set picking TORSION`

  Turns picking on and returns atom identities and torsion angle (dihedral angle) involving four atoms.

#### set (visibility)

This command group turns on or off specific sets of atoms and axes/cell-related options.

##### Syntax

`set axes [line-width-or-type]`

  Turns on or off displayed axes, and determines their line style and line width (as a decimal number, in Angstroms).

`set boundbox [line-width-or-type]`

  Turns on or off a wire-frame box that contains the model, and determines the line style and line width (as a decimal number, in Angstroms) of that box.

`set hetero ON/OFF`

  Turns on and off display of non-hydrogen atoms.

`set hydrogen ON/OFF`

  Turns on and off display of hydrogen atoms.

`set monitor ON/OFF`

  Turns on and off the distance, angle, dihedral measurement monitor.

`set monitor [linewidth-pixels]`

  Sets the width of the monitor line in pixels.

`set solvent ON/OFF`

  Turns on and off display of solvent atoms and solvent "probe" that can be displayed using dots.

`set solvent [probe-radius-Rasmol]`

`set solvent [probe-radius-in-angstroms]{default: 1.2}`

  Sets the radius of the solvent "ball" that would run around the structure defining its outline.

`set strands [strand-count]{default: 5}`

  Sets the number of strands to display.

`set unitcell [line-width-or-type]`

  Turns on or off the unit cell for crystal structures, and determines its line style and line width (as a decimal number, in Angstroms).

##### Definitions

`[linewidth-pixels]`

  is an (integer)

`[strand-count]`

  is the number of strands -- (integer)[0 to 20]

`[probe-radius-in-angstroms]`

  is a (decimal)

`[probe-radius-Rasmol]`

  is in 1/250ths of an Angstrom (deprecated) -- (integer)[<500]

`[line-width-or-type]`

  is a line width or type for a drawing object -- on, off, (integer)[1 to 19], (decimal)[<2], dotted

#### show

"show" sends information about the model to the messageCallback function and to the Java Console

##### Syntax

`show boundbox`

  Delivers the coordinates of the center coordinate and a directional vector defining a box just perfectly enclosing the model. The vector is determined by taking the min and max values for the atom along each cartesian axis. The center is the geometric center of the model, not the default center of rotation (which is the mean atom position). The eight corners of the boundbox are found by adding the center point to the vector, with all possible combinations of +/- component cectors. The length of a side of the boundbox is determined by doubling the appropriate component of the vector. So, for example, the length of the boundbox along the x-axis is (2*vectorX). Units are in Angstroms. Output is in the form boundbox: (centerX, centerY, centerZ) (vectorX, vectorY, vectorZ)

`show center`

  Delivers the coordinates of the center of the model. Units are in Angstroms. Output is in the form center: (centerX, centerY, centerZ)

`show file`

  Delivers the entire contents of the file for the current model.

`show file filepath`

  Delivers the entire contents of the specified file on the server from which the applet was loaded. The filename must be relative to the current page (not necessarily the directory containing the applet) and must be enclosed in quotation marks.

`show model`

  Delivers properties associated with the currently loaded model. Output includes information about all of the models in the set. This command is still in development. The exact form and content of the output is subject to change (and suggestion).

`show orientation`

  Delivers the orientation of the model. Output consists of both a "moveTo" command and an alternative sequence of "reset; rotate z; rotate y; rotate z" commands that would result in the current orientation. Thus, this command allows reading and restoring specific user-specified orientations.

`show pdbheader`

  Delivers the PDB file header.

`show transform`

  Delivers the current 3x3 transformation matrix (rotation only).

`show zoom`

  Delivers the current zoom setting. Output is in the form of the zoom command: "zoom n" where "n" is an integer percent of "normal" zoom.

#### slab

Slab and Depth together control the percentage of the molecule to be displayed based on clipping planes. "slab on" turns slab/depth on. "slab 50" shows the back 50% of the molecule. "slab 25" show the back 25% of the molecule.

##### Syntax

`slab ON/OFF`

`slab [slab-percent]`

##### Definitions

`[slab-percent]`

  is an (integer)[0 to 100]

#### spin

Starts and stops the molcule spinning.

#### ssbonds

Cisteine disulfide bonds can be turned on or off, colored, and given customized widths in Angstroms.

##### Syntax

`ssbonds ON/OFF{default: on}`

`ssbonds [width-Rasmol]`

`ssbonds [width-angstroms]`

##### Definitions

`[width-angstroms]`

  is a (decimal)[<2]

`[width-Rasmol]`

  is in 1/250ths of an Angstrom (deprecated) -- (integer)[<500]

#### strands

Strands offer a representation the protein backbone or nucleic acid helix using lines. For proteins, control points are chosen midway between adjacent alpha carbons (or phosphorus atoms in nucleic acids). The strands are arranged perpendicular to the peptide plane. A hermite cubic curve is used to smoothly connect the points.

##### Syntax

`strands ON/OFF{default: on}`

`strands [strand-radius]`

  Normally, strands vary in width according to the amino acid atom positions. This command sets the radius of the set of strands to be a constant value (a decimal, in Angstroms).

##### Definitions

`[strand-radius]`

  is half of the overall width of the set of strands -- (decimal)[<=40]

#### trace

A "trace" is a smooth curve through the center of the carbonyl carbon-alpha carbon bonds of a peptide or the ribose 1-O-P bond.

##### Syntax

`trace ON/OFF{default: on}`

`trace [trace-radius]`

##### Definitions

`[trace-radius]`

  is the radius of the trace -- (decimal)[<=40]

#### translate

Moves the molecule along the specified axes according to the amount specified by value. Value ranges from -100 to 100, and represents the percentage of the display window. Negative values move to the left (for the x axis) and down (for the y axis). A value of 100 will move the molecule completely out of the window. A value of 50 will move the center of the molecule to the edge of the window.

##### Syntax

`translate X/Y/Z [percent-translation]`

##### Definitions

`[percent-translation]`

  is an (integer)[-100 to 100]

#### vector or vectors

Draws vectors arising from vibrational mode data.

##### Syntax

`vector ON/OFF`

`vector [diameter-pixels]`

`vector [radius-in-angstroms]`

`vector scale [vector-scale]`

  Adjusts the scale of the vector independently of the vibration motion.

##### Definitions

`[diameter-pixels]`

  is a scaling factor -- (integer)[1 to 19]

`[radius-in-angstroms]`

  is a (decimal)[<=3]

`[vector-scale]`

  is a (decimal)[-10 to 10]

#### vibration

Provided information is present in the file (xyz format with columns 6-8 indicating dx, dy, and dz, or Gaussian harmonic frequency output), turns on and off display of vibration animation and allows setting of the time period for the vibration (in seconds) and the scale of the motion relative to the default (1).

##### Syntax

`vibration [time-period]`

  Adjusts the time period for one full vibration in seconds.

`vibration scale [vibration-scale]`

  Adjusts the scale of the vibration motion independently of the vector length.

##### Definitions

`[time-period]`

  is number of seconds per vibration -- (positive number)

`[vibration-scale]`

  is a (decimal)[-10 to 10]

#### wireframe

Wireframe refers to the bonds drawn between the atoms. A boolean value of ON draws the selected bonds as lines. Alternatively, a numeric value may be used to specify the radius of the bonds. A decimal value such as 0.2 or 0.4 specifies Angstroms.

##### Syntax

`wireframe ON/OFF{default: on}`

`wireframe [radius-Rasmol]`

`wireframe [radius-in-angstroms]`

##### Definitions

`[radius-in-angstroms]`

  is a (decimal)[<=3]

`[radius-Rasmol]`

  is in 1/250ths of an Angstrom (deprecated) -- (integer)[1 to 749]

#### zap

Clears the currently loaded molecule. RasMol forces you to zap prior to loading a new molecule. Jmol currently does not have this restriction and does not enforce it.

#### zoom

Allows enlarging or shrinking of the displayed model. A percentage value specifies the zoom relative to 100, the default value, which in Jmol is calculated so that all atoms are completely visible on the screen through all rotations using the default vanderWaals rendering percentage. The command "zoom OFF" disables mouse-based zooming and zooms to 100. The command "zoom ON" re-enables zooming at the current zoom setting. If the zoom has been turned off, setting the the zoom using, for example, "zoom 50," though it sets the "current zoom setting," has no effect until the next "zoom ON" command is given.

##### Syntax

`zoom ON/OFF`

`zoom [percent-zoom]`

##### Definitions

`[percent-zoom]`

  ist eine Ganzzahl von [5 bis 2000]